For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeel Home
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
  • Resources
    • Blog
    • Community
    • API spec
  • Endpoints
      • POSTCreate a new HRIS Organization Structure.
      • DELDelete an Org Structure from the Organization
      • DELDelete an Org Structure from the Organization by external ID
      • DELDelete Organization Structure
      • GETFetch an Org Structure from the Organization
      • GETFetch an Org Structure from the Organization
      • GETGet Organization Structure
      • GETGet Organization Structure
      • GETRetrieve custom fields for organization
      • PATCHUpdate an existing HRIS Org Structure
      • PATCHUpdate an existing HRIS Org Structure by external ID
      • PUTUpdate organization structure
      • PATCHUpdate Organization Structure
      • PATCHUpdate organization structure team custom fields
    • PATCHProfiles
LogoLogo
SupportDeel Home
EndpointsOrganization Structure

Get Organization Structure

GET
/hris/organization_structures
GET
/rest/v2/hris/organization_structures
$curl https://api.letsdeel.com/rest/v2/hris/organization_structures \
> -H "Authorization: Bearer <token>"
1{
2 "data": [
3 {
4 "id": "d290f1ee-6c54-4b01-90e6-d701748f0851",
5 "name": "Engineering",
6 "type": "department",
7 "roles": [
8 {
9 "id": "85b54219-8456-4072-bee8-71e2d88452fa",
10 "name": "Software Engineer"
11 }
12 ],
13 "teams": [
14 {
15 "id": "ba46af84-2f15-42f3-b171-d7d9e0abb274",
16 "name": "Software Engineer",
17 "parent": "Business",
18 "children": [
19 {}
20 ],
21 "created_at": "2023-10-01T12:00:00Z",
22 "name_route": "software-engineer",
23 "external_id": "ba46af84-2f15-42f3-b171-d7d9e0abb274"
24 }
25 ],
26 "created_at": "2023-10-01T12:00:00Z",
27 "external_id": "engineering",
28 "teams_count": 3,
29 "enable_roles": true,
30 "is_multiselect": false
31 }
32 ]
33}

Returns the organization’s hierarchical structure, including departments and teams, with offset-based pagination. Token scopes: organizations:read

Was this page helpful?
Previous

Get Organization Structure

Next
Built with

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Query parameters

offsetlongOptionalDefaults to 0
Return a page of results with given number of records.
limitdoubleOptional1-200
Return a page of results with given number of records.

Response

Successful operation
datalist of objects

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

1curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
2 -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication